Bug 115642 - Comment should be consructable
Summary: Comment should be consructable
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 115701
  Show dependency treegraph
 
Reported: 2013-05-06 07:29 PDT by Erik Arvidsson
Modified: 2019-08-27 13:15 PDT (History)
19 users (show)

See Also:


Attachments
Patch (8.18 KB, patch)
2014-01-09 04:27 PST, László Langó
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Arvidsson 2013-05-06 07:29:21 PDT
http://dom.spec.whatwg.org/#comment

Make Comment constructable so that one can do "new Comment('abc')" instead of "document.createComment('abc')"
Comment 1 László Langó 2014-01-09 04:27:17 PST
Created attachment 220713 [details]
Patch
Comment 2 EFL EWS Bot 2014-01-09 04:45:58 PST
Comment on attachment 220713 [details]
Patch

Attachment 220713 [details] did not pass efl-wk2-ews (efl-wk2):
Output: http://webkit-queues.appspot.com/results/5924992344653824
Comment 3 Andreas Kling 2014-01-11 21:54:01 PST
Comment on attachment 220713 [details]
Patch

r=me
Comment 4 WebKit Commit Bot 2014-01-13 01:42:50 PST
Comment on attachment 220713 [details]
Patch

Clearing flags on attachment: 220713

Committed r161867: <http://trac.webkit.org/changeset/161867>
Comment 5 WebKit Commit Bot 2014-01-13 01:42:52 PST
All reviewed patches have been landed.  Closing bug.